GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Typedefs | Variables
server_auth_filter.c File Reference
`#include "src/core/security/auth_filters.h"`
`#include "src/core/security/security_connector.h"`
`#include "src/core/security/security_context.h"`
`#include <grpc/support/log.h>`

## Data Structures
struct | call_data
struct | channel_data

## Typedefs
typedef struct call_data | call_data
typedef struct channel_data | channel_data

## Variables
const grpc_channel_filter | grpc_server_auth_filter

## Typedef Documentation

typedef struct call_data call_data

typedef struct channel_data channel_data

## Variable Documentation

const grpc_channel_filter grpc_server_auth_filter

Initial value:
= {
auth_start_transport_op, grpc_channel_next_op,
sizeof(call_data), init_call_elem,
destroy_call_elem, sizeof(channel_data),
init_channel_elem, destroy_channel_elem,
grpc_call_next_get_peer, "server-auth"}
grpc_call_next_get_peer
char * grpc_call_next_get_peer(grpc_call_element *elem)
Definition: channel_stack.c:194
call_data
struct call_data call_data
channel_data
Definition: client_auth_filter.c:69
grpc_channel_next_op
void grpc_channel_next_op(grpc_channel_element *elem, grpc_transport_op *op)
Definition: channel_stack.c:199